package com.ssj.service.conch.parents.v1.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2018/10/15
 */
public class RenewDefaultV1Dto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 馆id
     */
    private String leagueId;
    /**
     * 馆名
     */
    private String leagueName;

    private List<ServiceDto> list;

    public class ServiceDto implements Serializable{
        private static final long serialVersionUID = 1L;
        /**
         * 服务名称
         */
        private String name;
        /**
         * 价格
         */
        private BigDecimal price;
        /**
         * 是否默认（0：否，1：是）
         */
        private int isDefault;
        /**
         * 数量
         */
        private int number;
        /**
         * 是否可选多个（0：否，1：是）
         */
        private int isMultiple;
        /**
         * 卡类型（C004:作业吧月卡;C005:作业吧半年卡;C006:作业吧年卡）
         */
        private String priceType;
        /**
         * 开始时间
         */
        private String beginDate;
        /**
         * 结束时间
         */
        private String endDate;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public BigDecimal getPrice() {
            return price;
        }

        public void setPrice(BigDecimal price) {
            this.price = price;
        }

        public int getIsDefault() {
            return isDefault;
        }

        public void setIsDefault(int isDefault) {
            this.isDefault = isDefault;
        }

        public int getNumber() {
            return number;
        }

        public void setNumber(int number) {
            this.number = number;
        }

        public int getIsMultiple() {
            return isMultiple;
        }

        public void setIsMultiple(int isMultiple) {
            this.isMultiple = isMultiple;
        }

        public String getPriceType() {
            return priceType;
        }

        public void setPriceType(String priceType) {
            this.priceType = priceType;
        }

        public String getBeginDate() {
            return beginDate;
        }

        public void setBeginDate(String beginDate) {
            this.beginDate = beginDate;
        }

        public String getEndDate() {
            return endDate;
        }

        public void setEndDate(String endDate) {
            this.endDate = endDate;
        }
    }

    public String getLeagueId() {
        return leagueId;
    }

    public void setLeagueId(String leagueId) {
        this.leagueId = leagueId;
    }

    public String getLeagueName() {
        return leagueName;
    }

    public void setLeagueName(String leagueName) {
        this.leagueName = leagueName;
    }

    public List<ServiceDto> getList() {
        return list;
    }

    public void setList(List<ServiceDto> list) {
        this.list = list;
    }
}
